Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Condition_Recursive_Thread_Mutex Class Reference

`#include <Condition_Recursive_Thread_Mutex.h>`

Inheritance diagram for ACE_Condition_Recursive_Thread_Mutex:

[legend]
Collaboration diagram for ACE_Condition_Recursive_Thread_Mutex:

[legend]
List of all members.

## Public Member Functions
| ACE_Condition_Recursive_Thread_Mutex (ACE_Recursive_Thread_Mutex &m)
| Initialize the condition variable with a recursive mutex.

## Constructor & Destructor Documentation

ACE_Condition_Recursive_Thread_Mutex::ACE_Condition_Recursive_Thread_Mutex | ( | ACE_Recursive_Thread_Mutex & | m | ) |

| Initialize the condition variable with a recursive mutex.

The documentation for this class was generated from the following files:

- Condition_Recursive_Thread_Mutex.h
- Condition_Recursive_Thread_Mutex.cpp